NodeRings Docs

Get Payout Invoice

GET
/v1/provider/payout-invoices/{id}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/provider/payout-invoices/{id}" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "payoutInvoice": {
    "id": "string",
    "amount": "string",
    "platformFeeAmount": "string",
    "currency": "string",
    "payoutStatus": "PAYOUT_STATUS_UNSPECIFIED",
    "transferTransactionId": "string",
    "paymentProvider": "string",
    "connectAccountId": "string",
    "processedAt": "2019-08-24T14:15:22Z",
    "completedAt": "2019-08-24T14:15:22Z",
    "failedAt": "2019-08-24T14:15:22Z",
    "failureReason": "string",
    "failureCode": "string",
    "retryCount": 0,
    "maxRetries": 0,
    "lastRetryAt": "2019-08-24T14:15:22Z",
    "invoiceIds": [
      "string"
    ],
    "providerOrganizationId": "string",
    "metadata": {},
    "status": "STATUS_UNSPECIFIED",
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  },
  "invoices": [
    {
      "id": "string",
      "invoiceNumber": "string",
      "subscriptionId": "string",
      "subscriptionIds": [
        "string"
      ],
      "periodStart": "2019-08-24T14:15:22Z",
      "periodEnd": "2019-08-24T14:15:22Z",
      "dueDate": "2019-08-24T14:15:22Z",
      "paidAt": "2019-08-24T14:15:22Z",
      "status": "INVOICE_STATUS_UNSPECIFIED",
      "currency": "string",
      "subtotal": "string",
      "taxAmount": "string",
      "total": "string",
      "amountDue": "string",
      "transactionId": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "metadata": {},
      "issuer": {
        "name": "string",
        "legalName": "string",
        "taxId": "string",
        "vatId": "string",
        "email": "string",
        "phone": "string",
        "addressLine1": "string",
        "addressLine2": "string",
        "city": "string",
        "region": "string",
        "postalCode": "string",
        "country": "string",
        "address": "string",
        "website": "string",
        "isPlatform": true
      },
      "customer": {
        "name": "string",
        "legalName": "string",
        "taxId": "string",
        "vatId": "string",
        "email": "string",
        "phone": "string",
        "addressLine1": "string",
        "addressLine2": "string",
        "city": "string",
        "region": "string",
        "postalCode": "string",
        "country": "string",
        "address": "string",
        "website": "string",
        "isPlatform": true
      }
    }
  ]
}